#ifndef FTFPLOT_H
#define FTFPLOT_H

#include <TPlotLightMarker>
#include <QStringList>

class FtfConfigPlot : public TPlotLightMarker
{
public:
    FtfConfigPlot(QWidget *parent);

    enum Type { Bpm, Cor };

    void setType(Type t) { m_type = t; }

    void setNamesSource(const QString&);

protected:
    /* reimplemented from EPlotLightMarker */
    QString markerText(const QwtPlotCurve *relatedCurve, const int index);

private:
    QStringList m_names;

    Type m_type;

};

#endif // FTFPLOT_H
