/***************************************************************************
 *   Copyright (C) 2010 by Giacomo Strangolino,T2 PT 025,,   *
 *   giacomo.strangolino@elettra.trieste.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef ftfconfig_H
#define ftfconfig_H

#include "ui_ftfconfig.h"

class ftfconfig: public QWidget
{
    Q_OBJECT

public:
    ftfconfig(QWidget * =NULL);
    ~ftfconfig();
    
private slots:
    void configureBpmWeightManager(const TangoConfigurationParameters *);
    void configureCorrWeightManager(const TangoConfigurationParameters *);
    void configureOptSensorsWeightManager(const TangoConfigurationParameters *p);
    void configOptimizeTargets();
    void optimizeQuickSelectIndexChanged(int index);

private:
    Ui::ftfconfig ui;

};


#endif
